
Redmine - Defect #834

Redmine+Bazaar+PostgreSQL 8.3 Cannot work with multi-bytes language

2008-03-12 07:49 - Wei Li

Status: Closed Start date: 2008-03-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

I got the following error message when I try to click the "Repository" tab:

 ActiveRecord::StatementInvalid in RepositoriesController#show

RuntimeError: ERROR    C22021    Minvalid byte sequence for encoding "UTF8": 0xcced    HThis error

 can also happen if the byte sequence does not match the encoding expected by the server, which is

 controlled by "client_encoding".    F.\src\backend\utils\mb\wchar.c    L1545    Rreport_invalid_e

ncoding: INSERT INTO changesets ("commit_date", "comments", "committed_on", "revision", "scmid", "

repository_id", "committer") VALUES('2008-03-12 12:50:43.000000', E'����� .bzrignore', '2008-03-12

 12:50:43.000000', 1, E'oldrev@gmail.com-20080312045043-a1h3xvihfmwdgy73', 26, E'Wei Li <oldrev@gm

ail.com>')

RAILS_ROOT: D:/bin/redmine

 Tested:

OS: WinXP and Linux(Ubuntu 7.10)

Redmine: 6.3 ~ trunk

Bazaar: 1.20

PostgreSQL 8.3

Any help is appreciated.

Related issues:

Has duplicate Redmine - Defect #2842: Charset bug in the Bazaar-NG commits Closed 2009-02-25

Associated revisions

Revision 1256 - 2008-03-15 12:05 - Jean-Philippe Lang

Add "--encoding utf8" option to the Mercurial "hg log" command in order to get utf8 encoded commit logs (#834).

Revision 1363 - 2008-04-26 19:56 - Jean-Philippe Lang

Postgresql 8.3 compatibility fix (#834).

Revision 1767 - 2008-08-26 14:13 - Jean-Philippe Lang

Adds support for commit logs reencoding to UTF-8 before insertion in the database (#834, #917, #1663).

Source encoding of commit logs can be selected in Application settings -> Repositories.

History

#1 - 2008-03-15 12:06 - Jean-Philippe Lang

- Status changed from New to Resolved

- Affected version (unused) set to devel

Your commit logs seem to be encoded in something else than utf8.

As they are inserted as-in in the database, postgresql raises an error.

I was able to reproduce this problem.

Adding the --encoding utf8 option to hg log command (MercurialAdapter#revisions) solved it. Fix is committed in r1256.

Let me know if it's ok for you.
#2 - 2008-03-15 12:09 - Jean-Philippe Lang

Oops, you're not using Mercurial but Bazaar. I'll try to fix it for Bazaar as well.

#3 - 2008-03-17 08:56 - Wei Li

Thanks for your attention, but I got another error:

RuntimeError: ERROR    C42883    Moperator does not exist: character varying = integer    HNo operator matches

 the given name and argument type(s). You might need to add explicit type casts.    P55    F.\src\backend\pars

er\parse_oper.c    L896    Rop_error: SELECT * FROM changesets   WHERE (changesets.revision = 1 AND changesets

.repository_id = 28)  LIMIT 1

#4 - 2008-03-18 18:56 - Jean-Philippe Lang

Could you give the corresponding Redmine log (stack trace) so I can see where this error comes from ?

#5 - 2008-03-19 01:43 - Wei Li

Here is the all log:

 ActiveRecord::StatementInvalid in RepositoriesController#show

RuntimeError: ERROR    C42883    Moperator does not exist: character varying = integer    HNo operator matches

 the given name and argument type(s). You might need to add explicit type casts.    P55    F.\src\backend\pars

er\parse_oper.c    L896    Rop_error: SELECT * FROM changesets   WHERE (changesets.revision = 1 AND changesets

.repository_id = 30)  LIMIT 1

RAILS_ROOT: D:/bin/redmine

Application Trace | Framework Trace | Full Trace

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:782:in `select_raw'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:769:in `select'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:7:in `select_all_without_query_cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:74:in `cache_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:532:in `find_by_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1233:in `find_every'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1227:in `find_initial'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:502:in `find'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:690:in `validates_uniqu

eness_of'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:394:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `call'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `run_validation

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `run_validations

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:962:in `valid_without_c

allbacks?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:273:in `valid?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:933:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'
d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'

app/models/repository/bazaar.rb:66:in `fetch_changesets'

app/models/repository/bazaar.rb:65:in `reverse_each'

app/models/repository/bazaar.rb:65:in `fetch_changesets'

app/models/repository/bazaar.rb:64:in `fetch_changesets'

app/controllers/repositories_controller.rb:53:in `show'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:782:in `select_raw'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:769:in `select'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:7:in `select_all_without_query_cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:74:in `cache_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:532:in `find_by_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1233:in `find_every'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1227:in `find_initial'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:502:in `find'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:690:in `validates_uniqu

eness_of'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:394:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `call'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `run_validation

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `run_validations

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:962:in `valid_without_c

allbacks?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:273:in `valid?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:933:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `method_missing'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_with

out_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_wi

thout_benchmark'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_wit

hout_caching'
d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:33:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filt

ers'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_s

ession_management_support'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `proces

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:112:in `handle_dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:62:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constant

s_in'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:782:in `select_raw'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:769:in `select'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:7:in `select_all_without_query_cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:74:in `cache_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:53:in `select_all'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:532:in `find_by_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1233:in `find_every'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1227:in `find_initial'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:502:in `find'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:690:in `validates_uniqu

eness_of'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:394:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:391:in `validates_each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `call'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:1004:in `run_validation

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `each'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:998:in `run_validations

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:962:in `valid_without_c
allbacks?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:273:in `valid?'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:933:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'

app/models/repository/bazaar.rb:66:in `fetch_changesets'

app/models/repository/bazaar.rb:65:in `reverse_each'

app/models/repository/bazaar.rb:65:in `fetch_changesets'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

app/models/repository/bazaar.rb:64:in `fetch_changesets'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `method_missing'

app/controllers/repositories_controller.rb:53:in `show'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_with

out_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_wi

thout_benchmark'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_wit

hout_caching'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:33:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filt

ers'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_s

ession_management_support'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `proces

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:112:in `handle_dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:62:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'
d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constant

s_in'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3

Request

Parameters:

{"id"=>"nebula"}

Show session dump

--- 

flash: !map:ActionController::Flash::FlashHash {}

Response

Headers:

{"cookie"=>[],

 "Cache-Control"=>"no-cache"}

#6 - 2008-03-30 16:38 - Jean-Philippe Lang

- Status changed from Resolved to New

#7 - 2008-04-26 19:56 - Jean-Philippe Lang

- Target version deleted (0.7)

The latest error you mentioned was specific to pg 8.3.

It's fixed in r1363.

#8 - 2008-04-30 03:04 - Wei Li

Thanks for your great job, but it does not works yet:

 ActiveRecord::StatementInvalid in RepositoriesController#show

RuntimeError: ERROR    C22021    Minvalid byte sequence for encoding "UTF8": 0xb2    HThis error can also happ

en if the byte sequence does not match the encoding expected by the server, which is controlled by "client_enc

oding".    F.\src\backend\utils\mb\wchar.c    L1545    Rreport_invalid_encoding: INSERT INTO changesets ("comm

it_date", "comments", "committed_on", "revision", "scmid", "repository_id", "committer") VALUES('2008-03-07 16

:57:18.000000', E'�������07 16:57:18.000000-03-2008' ,'�޸', E'2', E'oldrev@gmail.com-20080307085718-ydf422wsj8

pkvzu9', 34, E'Wei Li <oldrev@gmail.com>')

RAILS_ROOT: D:/bin/redmine

Application Trace | Framework Trace | Full Trace

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:156:in `insert_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:44:in `insert_without_query_dirty'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:19:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:390:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2272:in `create_without_callba

cks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:226:in `create_without_ti

mestamps'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:29:in `create'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update_with

out_callbacks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_update'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_validati

on'
d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'

app/models/repository/bazaar.rb:66:in `fetch_changesets'

app/models/repository/bazaar.rb:65:in `reverse_each'

app/models/repository/bazaar.rb:65:in `fetch_changesets'

app/models/repository/bazaar.rb:64:in `fetch_changesets'

app/controllers/repositories_controller.rb:53:in `show'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:156:in `insert_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:44:in `insert_without_query_dirty'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:19:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:390:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2272:in `create_without_callba

cks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:226:in `create_without_ti

mestamps'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:29:in `create'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update_with

out_callbacks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_update'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_validati

on'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `method_missing'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_with

out_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_wi

thout_benchmark'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_wit

hout_caching'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac
he.rb:33:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filt

ers'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_s

ession_management_support'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `proces

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:112:in `handle_dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:62:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constant

s_in'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adapter.r

b:150:in `log'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:407:in `execute'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:156:in `insert_sql'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:44:in `insert_without_query_dirty'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:19:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresql_adapter

.rb:390:in `insert'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2272:in `create_without_callba

cks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:226:in `create_without_ti

mestamps'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:29:in `create'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update_with

out_callbacks'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_update'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_validati

on'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_without_tr

ansactions'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_activ

e_record_state!'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:572:in `create'
app/models/repository/bazaar.rb:66:in `fetch_changesets'

app/models/repository/bazaar.rb:65:in `reverse_each'

app/models/repository/bazaar.rb:65:in `fetch_changesets'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transaction'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transaction'

app/models/repository/bazaar.rb:64:in `fetch_changesets'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:

in `method_missing'

app/controllers/repositories_controller.rb:53:in `show'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_with

out_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_wi

thout_benchmark'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_wit

hout_caching'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cac

he.rb:33:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filt

ers'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_s

ession_management_support'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `proces

s'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request

'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

d:/bin/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:112:in `handle_dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

d:/bin/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

d:/bin/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:62:in `dispatch'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constant

s_in'

d:/bin/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

d:/bin/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

d:/bin/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3

Request

Parameters:

{"id"=>"trill"}
Show session dump

--- 

:query: 

  :filters: 

    tracker_id: 

      :values: 

      - "2" 

      :operator: "=" 

    status_id: 

      :values: 

      - "" 

      :operator: o

  :project_id: 3

issuesindex_sort: 

  :order: desc

  :key: issues.id

flash: !map:ActionController::Flash::FlashHash {}

Response

Headers:

{"cookie"=>[],

 "Cache-Control"=>"no-cache"}

#9 - 2008-05-05 04:58 - Francis Chong

- File cvs.diff added

Encountered similar issue. Some invalid UTF8 character existed in repository. We workaround it by patching the trunk/app/models/repository/cvs.rb to

use iconv to ignore invalid UTF8. Try add similar to your app/models/repository/bazaar.rb

#10 - 2008-05-27 17:19 - Andreas Deininger

- File bazaar.diff added

Due to the use of umlauts in my bazaar commit messages retrieved as output of bzr log, I encountered an error similar to the one reported above. I

solved it with the uploaded patch.

#11 - 2008-08-26 14:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

r1767 adds support for commit messages reencoding.

Choose the appropriate source enconding in Application settings -> Repositories. Messages will be reencoded to UTF-8 before insertion in the

database.

Files

cvs.diff 1.85 KB 2008-05-05 Francis Chong

bazaar.diff 1.75 KB 2008-05-27 Andreas Deininger
